package com.bs.common.core.domain.model;

/**
 * 用户登录对象
 * 
 * @author bs
 */
public class LoginBody
{
    /**
     * 用户名
     */
    private String username;

    /**
     * 用户密码
     */
    private String password;

    /**
     * 验证码
     */
    private String code;

    /** 手机号码 */
    private String phonenumber;

    /** 推荐注册人 */
    private String shareUser;

    /**
     * 微信小程序openId
     */
//    @TableField(exist = false)
    private String xcxOpenId;
    /**
     * 微信公众号openId
     */
//    @TableField(exist = false)
    private String gzhOpenId;

    /**
     * 微信unionid
     */
//    @TableField(exist = false)
    private String unionId;

    /**
     *  微信小程序Code
     */
//    @TableField(exist = false)
    private String wxCode;


    /**
     *  微信公众号Code
     */
    private String gzhCode;

    private String url;

    private String openId;

    private String clueType;

    private String dataType;

    private String fromType;


    private String businessLinks;

    public String getBusinessLinks()
    {
        return businessLinks;
    }

    public void setBusinessLinks(String businessLinks)
    {
        this.businessLinks = businessLinks;
    }


    /**
     * 唯一标识
     */
    private String uuid;

    public String getUsername()
    {
        return username;
    }

    public void setUsername(String username)
    {
        this.username = username;
    }

    public String getPassword()
    {
        return password;
    }

    public void setPassword(String password)
    {
        this.password = password;
    }

    public String getCode()
    {
        return code;
    }

    public void setCode(String code)
    {
        this.code = code;
    }

    public String getUuid()
    {
        return uuid;
    }

    public void setUuid(String uuid)
    {
        this.uuid = uuid;
    }


    public String getXcxOpenId()
    {
        return xcxOpenId;
    }

    public void setXcxOpenId(String xcxOpenId)
    {
        this.xcxOpenId = xcxOpenId;
    }

    public String getGzhOpenId()
    {
        return gzhOpenId;
    }


    public void setGzhOpenId(String gzhOpenId)
    {
        this.gzhOpenId = gzhOpenId;
    }

    public String getUnionId()
    {
        return unionId;
    }

    public void setUnionId(String unionId)
    {
        this.unionId = unionId;
    }

    public String getWxCode()
    {
        return wxCode;
    }

    public void setWxCode(String wxCode)
    {
        this.wxCode = wxCode;
    }

    public String getGzhCode()
    {
        return gzhCode;
    }

    public void setGzhCode(String gzhCode)
    {
        this.gzhCode = gzhCode;
    }

    public String getUrl()
    {
        return url;
    }

    public void setUrl(String url)
    {
        this.url = url;
    }

    public String getOpenId()
    {
        return openId;
    }

    public void setOpenId(String openId)
    {
        this.openId = openId;
    }

    public String getClueType()
    {
        return clueType;
    }

    public void setClueType(String clueType)
    {
        this.clueType = clueType;
    }

    public String getDataType()
    {
        return dataType;
    }

    public void setDataType(String dataType)
    {
        this.dataType = dataType;
    }

    public String getFromType()
    {
        return fromType;
    }

    public void setFromType(String fromType)
    {
        this.fromType = fromType;
    }

    public String getShareUser()
    {
        return shareUser;
    }

    public void setShareUser(String shareUser)
    {
        this.shareUser = shareUser;
    }

    public String getPhonenumber() { return phonenumber; }

    public void setPhonenumber(String phonenumber) { this.phonenumber = phonenumber; }
}
